[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]
[elpa] master e767fa2 265/433: Added script and documentation for instal
From: |
Dmitry Gutov |
Subject: |
[elpa] master e767fa2 265/433: Added script and documentation for installing from CVS |
Date: |
Thu, 15 Mar 2018 19:44:18 -0400 (EDT) |
branch: master
commit e767fa2047c1e92d12b052887f8f92c0bb456daa
Author: viritrilbia <viritrilbia>
Commit: viritrilbia <viritrilbia>
Added script and documentation for installing from CVS
---
FAQ | 24 +++++++++-----------
README | 76 +++++++++++++++++++++++++++++++++++++++++++-------------------
autogen.sh | 28 +++++++++++++++++++++++
3 files changed, 92 insertions(+), 36 deletions(-)
diff --git a/FAQ b/FAQ
index 8761885..20cb8e0 100644
--- a/FAQ
+++ b/FAQ
@@ -141,12 +141,10 @@ The `configure' script which is included in the official
distributions
is not present in CVS, because it is automatically generated by GNU
Automake/Autoconf from files like `Makefile.am' and `configure.in'.
To build the CVS version the same way as the official distributions,
-you must first run:
+you must first run `autogen.sh':
$ cd mmm-mode
-$ aclocal
-$ automake
-$ autoconf
+$ ./autogen.sh
and then you can continue as usual:
@@ -154,15 +152,15 @@ $ ./configure
$ make
$ make install
-Note that aclocal/automake/autoconf may or may not be installed on
-your system, since they are considered developer tools rather than
-end-user tools. If you can't or don't want to install them, however,
-you can still use the CVS version of MMM Mode by manually copying all
-the `.el' files into a directory in your `load-path'. Optionally, you
-may also byte-compile them manually (this is what `make' normally
-does). Byte-compiling gives some speed improvement, but if you
-experience problems, the stack traces are sometimes more informative
-if you are using the source files only.
+Note that autogen.sh requires aclocal, automake, and autoconf, which
+may or may not be installed on your system, since they are considered
+developer tools rather than end-user tools. If you can't or don't
+want to install them, however, you can still use the CVS version of
+MMM Mode by manually copying all the `.el' files into a directory in
+your `load-path'. Optionally, you may also byte-compile them manually
+(this is what `make' normally does). Byte-compiling gives some speed
+improvement, but if you experience problems, the stack traces are
+sometimes more informative if you are using the source files only.
The Info files `mmm.info-*' are also not included in CVS, since they
are generated from `mmm.texinfo' by the program `makeinfo'. If you
diff --git a/README b/README
index eb45686..fdcb874 100644
--- a/README
+++ b/README
@@ -5,16 +5,19 @@
OVERVIEW
MMM Mode is a minor mode for Emacs that allows Multiple Major Modes
- (hence the name) to coexist in one buffer. It is particularly
- well-suited to editing embedded code, such as Mason server-side
- Perl, or HTML output in CGI scripts.
+ to coexist in one buffer. It is well-suited to editing:
+
+ * Preprocessed code, such as server-side Perl or PHP embedded in HTML
+ * Code generating code, such as HTML output by CGI scripts
+ * Embedded code, such as Javascript in HTML
+ * Literate programming: code interspersed with documentation, e.g. Noweb
INSTALLATION
MMM Mode has a standard GNU configure-driven installation. (See the
- file INSTALL for generic instructions.) To install mmm-mode in the
- standard locations, unpack the archive, `cd' to the mmm-mode-X.X.X
- directory created, and run these commands:
+ file INSTALL for generic instructions, most of which don't apply.)
+ To install in the standard locations, unpack the archive, `cd' to
+ the mmm-mode-X.X.X directory created, and run these commands:
./configure
make
@@ -27,6 +30,12 @@ INSTALLATION
installs the MMM Mode info manual in your site info directory, so if
you're installing manually, you might want to do that too.
+ If you're installing from the CVS version, you won't have the
+ configure script. If you have the automake/autoconf tools
+ installed, you can run the script `autogen.sh' first, and then
+ proceed as above. Otherwise, you'll have to copy the *.el files
+ manually as described above.
+
If you have more than one version of emacs installed and want to
use MMM in a version other than /usr/bin/emacs, you must set the
environment variable EMACS before running `configure', e.g.
@@ -44,43 +53,64 @@ CONFIGURATION
Once MMM Mode is installed, it has to be configured correctly. This
can be done in a site-start file or in user's initialization files;
- probably the latter is preferable, except possibly for autoloads.
-
- See the info file for full documentation on the available
- configuration options. To get started, however, MMM Mode needs to
- be loaded, either completely, with
+ usually the latter is preferable, except possibly for autoloads.
+ First the package needs to be loaded, with either
(require 'mmm-mode)
- or conditionally, as necessary, with
+ or instead, to save time during emacs startup,
(require 'mmm-auto)
- The second installs only the major-mode hooks and sets up MMM Mode
- to load itself automatically when necessary.
+ Then you will probably want to set something like this:
+
+ (setq mmm-global-mode 'maybe)
+ (mmm-add-mode-ext-class 'html-mode "\\.php\\'" 'html-php)
+
+ The first line tells MMM Mode to load itself whenever you open an
+ appropriate file, and the second is an example which says to notice
+ PHP regions in html-mode files having a `.php' extension. Both
+ lines are necessary.
+
+ You will, of course, want to change and duplicate the second line
+ according to your needs. either of the first two parameters can be
+ `nil', meaning not to consider that criterion. For example, if all
+ your html files, regardless of extension, are Mason components, you
+ will want something like:
+
+ (mmm-add-mode-ext-class 'html-mode nil 'mason)
+
+ whereas if all your files with a `.nw' extension, regardless of
+ primary mode (some may be LaTeX, others HTML, say) are Noweb, you
+ will prefer
+
+ (mmm-add-mode-ext-class nil "\\.nw\\'" 'noweb)
+
+ See the info file for more extensive documentation, and for other
+ configuration options.
DOCUMENTATION
- For further information, see (in order) the accompanying info file
- (as yet incomplete), the documentation strings of functions and
- variables, the comments in the source code, and the source code
- itself.
+ For further information, see (in order) the accompanying info file,
+ the documentation strings of functions and variables, the comments
+ in the source code, and the source code itself.
UPDATES
The latest version of MMM Mode should always be available from
- http://mmm-mode.sourceforge.net/.
+ http://sourceforge.net/projects/mmm-mode
BUG REPORTS
Bug reports and suggestions can be submitted at
- <http://sourceforge.net/bugs/?group_id=8658> or through email to
- address@hidden
+ <http://sourceforge.net/tracker/?group_id=8658&atid=108658>, or
+ through email to <address@hidden>.
CONTACT INFO
- MMM Mode is written and maintained by Michael Abraham Shulman
- <address@hidden>.
+ MMM Mode is written and maintained by Michael Shulman,
+ <address@hidden>, and others; a list of some
+ contributors can be found on the Sourceforge project.
MAILING LIST
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 0000000..4258e25
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,28 @@
+#!/bin/sh
+
+notfound=
+if ! type aclocal >/dev/null 2>/dev/null; then
+ notfound=aclocal
+elif ! type automake >/dev/null 2>/dev/null; then
+ notfound=automake
+elif ! type autoconf >/dev/null 2>/dev/null; then
+ notfound=autoconf
+fi
+if test -n "$notfound"; then
+ echo OOPS: I can\'t find $notfound in your path!
+ echo You need aclocal, automake, and autoconf to generate configure.
+ echo Otherwise, you can install manually, see the README file.
+ exit;
+fi
+
+echo -n Running aclocal to generate aclocal.m4...
+aclocal
+echo done.
+
+echo -n Running automake to generate Makefile.in...
+automake
+echo done.
+
+echo -n Running autoconf to generate configure...
+autoconf
+echo done
- [elpa] master 8e205dd 400/433: Don't use version.texi at all, (continued)
- [elpa] master 8e205dd 400/433: Don't use version.texi at all, Dmitry Gutov, 2018/03/15
- [elpa] master 2ca7e6a 300/433: Add header comment, provide description, Dmitry Gutov, 2018/03/15
- [elpa] master 956354f 375/433: Fix missing var declaration, Dmitry Gutov, 2018/03/15
- [elpa] master fff25f6 311/433: Note that 'autogen.sh' should be run to generate 'configure' and 'Makefile.in' (see #11), Dmitry Gutov, 2018/03/15
- [elpa] master 3fb2964 416/433: Update Michael's email address to an active one, Dmitry Gutov, 2018/03/15
- [elpa] master 6c5d442 425/433: Fix copyright entry, Dmitry Gutov, 2018/03/15
- [elpa] master e848ef1 323/433: * mmm-fontify-region: Save and restore submode, overlay and local vars, Dmitry Gutov, 2018/03/15
- [elpa] master 004a618 370/433: Fix #23, Dmitry Gutov, 2018/03/15
- [elpa] master 53524db 389/433: Remove version.texi from the repo, Dmitry Gutov, 2018/03/15
- [elpa] master 2c9532b 326/433: Simplify mmm-update-mode-info, Dmitry Gutov, 2018/03/15
- [elpa] master e767fa2 265/433: Added script and documentation for installing from CVS,
Dmitry Gutov <=
- [elpa] master 7965887 279/433: Fix error in mmm-mode when Emacs 23 immediately evaporates zero-width submode regions, Dmitry Gutov, 2018/03/15
- [elpa] master 7da80fb 422/433: Add cl-lib package dependency, Dmitry Gutov, 2018/03/15
- [elpa] master cd66bdd 316/433: Improve mmm-erb usage instructions, Dmitry Gutov, 2018/03/15
- [elpa] master 2e06d3d 356/433: Remove the useless CVS $Id tags, Dmitry Gutov, 2018/03/15
- [elpa] master 68fe94d 274/433: (mmm-ify): Change defaults for front-delim and, Dmitry Gutov, 2018/03/15
- [elpa] master 28d51d2 312/433: Note availability of Melpa packages, Dmitry Gutov, 2018/03/15
- [elpa] master 406e120 330/433: Merge pull request #19 from dgutov/font-lock, Dmitry Gutov, 2018/03/15
- [elpa] master 509660a 354/433: Merge pull request #22 from purcell/indentation, Dmitry Gutov, 2018/03/15
- [elpa] master e583767 284/433: Provide more sensible face defaults for dark and light backgrounds, Dmitry Gutov, 2018/03/15
- [elpa] master c28501c 387/433: Don't use syntax-begin-function, Dmitry Gutov, 2018/03/15